<solidify-empty-container
    (onEscape)="backToList()"
    [solidifyFocusFirstElement]="true"
    cdkTrapFocus
    solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
                                  [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [listExtraButtons]="listExtraButtons"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [saveAvailable]="false"
  >
  </solidify-button-toolbar-detail>

  <solidify-tabs-container (tabChange)="setCurrentTab($event)"
                           [isLoading]="isLoadingObs | async"
                           [tabs]="listTabs"
  >
    <router-outlet></router-outlet>
  </solidify-tabs-container>
</solidify-empty-container>
